--
--Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
--Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
--
--This file is part of SMPPIR-Tables.
--
--SMPPIR-Tables is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.
--
--SMPPIR-Tables is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.
--
--You should have received a copy of the GNU General Public License
--along with SMPPIR-Tables.  If not, see <https://www.gnu.org/licenses/>.
--

CREATE TABLE course_ag 
AS 
SELECT 
    curso_temp.ano_censo, 
    curso_temp.nome_curso 

FROM 
    (
        SELECT 
            distinct(nome_curso), 
            ano_censo 
        FROM 
            curso_ens_superior
    ) AS curso_temp 

GROUP BY 
    curso_temp.ano_censo, 
    curso_temp.nome_curso 

ORDER BY 
    curso_temp.ano_censo ASC, 
    curso_temp.nome_curso ASC
    ;